import createComponent from '../../../dist/redom.js';

export default createComponent({
  create() {
  },
  view() {
    return (
      <footer class="footer">
        <span class="todo-count">
          <strong ref="cnt">0</strong> items left
        </span>
        <ul class="filters">
            <li><a href="#/" ref="all" class="selected">All</a></li>
            <li><a href="#/active" ref="active">Active</a></li>
            <li><a href="#/completed" ref="completed">Completed</a></li>
        </ul>
        <button class="clear-completed" ref="clear">Clear completed</button>
      </footer>
    );
  },
  render(container) {
    const { node, r } = this.view();
    this.refs = r;
    r.clear.addEventListener('click', this._onClear);
    container.appendChild(node);
    return this;
  },
  setCounter(value) {
    this.refs.cnt.textContent = value;
  },
  setActiveRoute(id) {
    const r = this.refs;
    r.all.classList.toggle('selected', id === 'all');
    r.active.classList.toggle('selected', id === 'active');
    r.completed.classList.toggle('selected', id === 'completed');
  }
}, {
  // Events
  _onClear() {
    this.trigger('clear-completed');
  }
});
