/******/ (function(modules) { // webpackBootstrap
/******/ 	// The module cache
/******/ 	var installedModules = {};
/******/
/******/ 	// The require function
/******/ 	function __webpack_require__(moduleId) {
/******/
/******/ 		// Check if module is in cache
/******/ 		if(installedModules[moduleId])
/******/ 			return installedModules[moduleId].exports;
/******/
/******/ 		// Create a new module (and put it into the cache)
/******/ 		var module = installedModules[moduleId] = {
/******/ 			exports: {},
/******/ 			id: moduleId,
/******/ 			loaded: false
/******/ 		};
/******/
/******/ 		// Execute the module function
/******/ 		modules[moduleId].call(module.exports, module, module.exports, __webpack_require__);
/******/
/******/ 		// Flag the module as loaded
/******/ 		module.loaded = true;
/******/
/******/ 		// Return the exports of the module
/******/ 		return module.exports;
/******/ 	}
/******/
/******/
/******/ 	// expose the modules object (__webpack_modules__)
/******/ 	__webpack_require__.m = modules;
/******/
/******/ 	// expose the module cache
/******/ 	__webpack_require__.c = installedModules;
/******/
/******/ 	// __webpack_public_path__
/******/ 	__webpack_require__.p = "";
/******/
/******/ 	// Load entry module and return exports
/******/ 	return __webpack_require__(0);
/******/ })
/************************************************************************/
/******/ ([
/* 0 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';
	
	var _header = __webpack_require__(1);
	
	var _header2 = _interopRequireDefault(_header);
	
	var _tasks = __webpack_require__(3);
	
	var _tasks2 = _interopRequireDefault(_tasks);
	
	var _footer = __webpack_require__(5);
	
	var _footer2 = _interopRequireDefault(_footer);
	
	function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
	
	__webpack_require__(6);
	
	function app(container) {
	  var id = 0;
	  var model = {
	    tasks: []
	  };
	
	  var header = (0, _header2.default)();
	  var body = (0, _tasks2.default)(model.tasks);
	  var footer = (0, _footer2.default)();
	
	  header.render(container);
	  body.render(container);
	  footer.render(container);
	
	  header.on('create', function (el) {
	    var newTask = { id: id++, label: el, completed: false };
	    body.addTask(newTask);
	  });
	
	  // set default filter for default route
	  body.filter(function () {
	    return true;
	  });
	  footer.setActiveRoute('all');
	
	  footer.on('clear-completed', function () {
	    body.clearCompleted();
	  });
	
	  // If list of tasks is updated count and display completed
	  body.on('updated', function () {
	    footer.setCounter(model.tasks.reduce(function (result, element) {
	      if (!element.completed) {
	        return result + 1;
	      }
	      return result;
	    }, 0));
	  });
	
	  // Router
	  window.addEventListener('hashchange', function () {
	    var route = location.hash.substr(2) || 'all';
	    footer.setActiveRoute(route);
	
	    if (route === 'active') {
	      return body.filter(function (task) {
	        return !task.completed;
	      });
	    }
	    if (route === 'completed') {
	      return body.filter(function (task) {
	        return task.completed;
	      });
	    }
	
	    // display all
	    body.filter(function () {
	      return true;
	    });
	  });
	}
	
	var container = document.getElementById('container');
	app(container);

/***/ },
/* 1 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';
	
	Object.defineProperty(exports, "__esModule", {
	  value: true
	});
	
	var _redom = __webpack_require__(2);
	
	var _redom2 = _interopRequireDefault(_redom);
	
	function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
	
	var ENTER_KEY = 13;
	var ESCAPE_KEY = 27;
	
	exports.default = (0, _redom2.default)({
	  create: function create() {},
	  view: function view() {
	    return this._h('header', { class: "header" }, [this._h('h1', null, ["todos"]), this._h('input', { ref: "input", class: "new-todo", placeholder: "What needs to be done?", autofocus: true })]);
	  },
	  render: function render(container) {
	    var _view = this.view();
	
	    var node = _view.node;
	    var r = _view.r;
	
	    this.refs = r;
	    r.input.addEventListener('keyup', this._onChange);
	    container.appendChild(node);
	    return node;
	  }
	}, {
	  _onChange: function _onChange(e) {
	    var target = e.target;
	    if (e.which === ENTER_KEY) {
	      if (target.value.trim() === '') {
	        return;
	      }
	      this.trigger('create', target.value);
	      target.value = '';
	    } else if (e.which === ESCAPE_KEY) {
	      target.value = '';
	    }
	  }
	});

/***/ },
/* 2 */
/***/ function(module, exports) {

	"use strict";
	
	module.exports = function (e) {
	  function t(n) {
	    if (r[n]) return r[n].exports;var o = r[n] = { exports: {}, id: n, loaded: !1 };return e[n].call(o.exports, o, o.exports, t), o.loaded = !0, o.exports;
	  }var r = {};return t.m = e, t.c = r, t.p = "", t(0);
	}({ 0: function _(e, t, r) {
	    "use strict";
	    function n(e) {
	      return e && e.__esModule ? e : { "default": e };
	    }function o(e) {
	      return e && e.nodeName && e.nodeType;
	    }function i(e) {
	      var t = arguments.length <= 1 || void 0 === arguments[1] ? null : arguments[1],
	          r = arguments.length <= 2 || void 0 === arguments[2] ? null : arguments[2],
	          n = {},
	          i = document.createElement(e);if (null !== t && Object.getOwnPropertyNames(t).map(function (e) {
	        return e === d ? void (n[t[e]] = i) : void i.setAttribute(e, t[e]);
	      }), Array.isArray(r)) r.map(function (e) {
	        "string" == typeof e ? i.appendChild(document.createTextNode(e)) : e.node && (o(e.node) && i.appendChild(e.node), Object.assign(n, e.r));
	      });else if (null !== r) throw Error("Unexpected child element" + JSON.stringify(r));return { node: i, r: n };
	    }function u(e, t) {
	      var r = document.createTextNode(e),
	          n = {};return n[t] = r, { node: r, r: n };
	    }function l(e, t) {
	      return function () {
	        var r = Object.assign((0, s["default"])(), f, e);if (void 0 !== t && null !== t) {
	          var n = Object.getOwnPropertyNames(t);n.forEach(function (e) {
	            var n = t[e];"function" == typeof n && (r[e] = n.bind(r));
	          });
	        }return r.create.apply(r, arguments), r;
	      };
	    }Object.defineProperty(t, "__esModule", { value: !0 }), t["default"] = l;var a = r(22),
	        s = n(a),
	        d = "ref",
	        f = { refs: {}, _t: u, _h: i, create: function create() {}, destroy: function destroy() {
	        this.removeAll(), this._destroy && this._destroy();
	      } };
	  }, 22: function _(e, t) {
	    "use strict";
	    function r(e, t) {
	      var r = this._listeners;r.hasOwnProperty(e) || (r[e] = []), r[e].push(t);
	    }function n(e, t) {
	      var r = this._listeners[e];if (void 0 !== r) {
	        var n = r.indexOf(t);-1 !== n && r.splice(n, 1);
	      }
	    }function o(e, t) {
	      var r = this._listeners[e];if (void 0 !== r) {
	        var n = !0,
	            o = !1,
	            i = void 0;try {
	          for (var u, l = r[Symbol.iterator](); !(n = (u = l.next()).done); n = !0) {
	            var a = u.value;a(t);
	          }
	        } catch (s) {
	          o = !0, i = s;
	        } finally {
	          try {
	            !n && l["return"] && l["return"]();
	          } finally {
	            if (o) throw i;
	          }
	        }
	      }
	    }function i() {
	      this._listeners = {};
	    }function u() {
	      return { _listeners: {}, on: r, off: n, trigger: o, removeAll: i };
	    }Object.defineProperty(t, "__esModule", { value: !0 }), t["default"] = u;
	  } });
	//# sourceMappingURL=redom.js.map

/***/ },
/* 3 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';
	
	Object.defineProperty(exports, "__esModule", {
	  value: true
	});
	
	var _redom = __webpack_require__(2);
	
	var _redom2 = _interopRequireDefault(_redom);
	
	var _item = __webpack_require__(4);
	
	var _item2 = _interopRequireDefault(_item);
	
	function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
	
	exports.default = (0, _redom2.default)({
	  create: function create(tasks) {
	    this.model = {
	      tasks: tasks
	    };
	  },
	  view: function view() {
	    return this._h('section', { class: "main" }, [this._h('input', { class: "toggle-all", type: "checkbox" }), this._h('label', { for: "toggle-all" }, ["Mark all as complete"]), this._h('ul', { ref: "list", class: "todo-list" })]);
	  },
	  render: function render(container) {
	    var _view = this.view();
	
	    var node = _view.node;
	    var r = _view.r;
	
	    this.refs = r;
	    container.appendChild(node);
	    return node;
	  },
	  addTask: function addTask(task) {
	    var item = (0, _item2.default)(task);
	    task._item = item;
	    this.model.tasks.push(task);
	    item.render(this.refs.list);
	    item.on('removed', this.removeItem);
	    item.on('updated', this._updated);
	    if (typeof this.model.filter === 'function') {
	      item.display(this.model.filter(item));
	    }
	    this.trigger('updated');
	  },
	  filter: function filter(p) {
	    this.model.filter = p;
	    this.model.tasks.forEach(function (it) {
	      it._item.display(p(it));
	    });
	  },
	  clearCompleted: function clearCompleted() {
	    var tasks = this.model.tasks;
	    for (var it = tasks.length - 1; it >= 0; it--) {
	      if (tasks[it].completed) {
	        var item = this.model.tasks.splice(it, 1)[0];
	        item._item.detach().destroy();
	        item._item = null;
	      }
	    }
	  }
	}, {
	  // Events
	
	  removeItem: function removeItem(id) {
	    var idx = this.model.tasks.findIndex(function (i) {
	      return i.id === id;
	    });
	    if (idx !== -1) {
	      var item = this.model.tasks.splice(idx, 1)[0];
	      item._item.detach();
	      item._item = null;
	      this.trigger('updated');
	    }
	  },
	  _updated: function _updated(item) {
	    item.display(this.model.filter(item));
	    this.trigger('updated');
	  }
	});

/***/ },
/* 4 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';
	
	Object.defineProperty(exports, "__esModule", {
	  value: true
	});
	
	var _redom = __webpack_require__(2);
	
	var _redom2 = _interopRequireDefault(_redom);
	
	function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
	
	var ENTER_KEY = 13;
	var ESCAPE_KEY = 27;
	
	exports.default = (0, _redom2.default)({
	  create: function create(task) {
	    this.model = task;
	  },
	  view: function view() {
	    var m = this.model;
	    return this._h('li', { ref: "li" }, [this._h('div', { class: "view" }, [this._h('input', { class: "toggle", type: "checkbox", ref: "toggle" }), this._h('label', { ref: "label" }, [m.label]), this._h('button', { class: "destroy", ref: "remove" })])]);
	  },
	  viewEdit: function viewEdit() {
	    return this._h('input', { class: "edit", ref: "edit" });
	  },
	  render: function render(container) {
	    var _view = this.view();
	
	    var node = _view.node;
	    var r = _view.r;
	
	    this.refs = r;
	    r.remove.addEventListener('click', this._onRemove);
	    r.toggle.addEventListener('click', this._onComplete);
	    r.toggle.checked = this.model.completed;
	    r.li.classList.toggle('completed', this.model.completed);
	    r.label.addEventListener('dblclick', this._dblClick);
	
	    container.appendChild(node);
	    return this;
	  },
	  detach: function detach() {
	    var r = this.refs;
	    r.li.parentElement.removeChild(r.li);
	    r.remove.removeEventListener('click', this._onRemove);
	    r.toggle.addEventListener('click', this._onComplete);
	    this.model = null;
	    this.refs = null;
	    return this;
	  },
	  display: function display(show) {
	    this.refs.li.classList.toggle('hidden', !show);
	  }
	}, {
	  // Events
	
	  _onComplete: function _onComplete(e) {
	    var complete = e.target.checked;
	    var li = this.refs.li;
	    this.model.completed = complete;
	    li.classList.toggle('completed', complete);
	    this.trigger('updated', this);
	  },
	  _onRemove: function _onRemove() {
	    this.trigger('removed', this.model.id);
	  },
	
	
	  // Attach input
	  _dblClick: function _dblClick() {
	    var _viewEdit = this.viewEdit();
	
	    var node = _viewEdit.node;
	    var r = _viewEdit.r;
	
	    this.refs.edit = r.edit;
	    var ref = this.refs;
	
	    ref.li.appendChild(node);
	    ref.li.classList.toggle('editing', true);
	    ref.edit.focus();
	    ref.edit.value = this.model.label;
	    ref.edit.addEventListener('blur', this._endEdit);
	    ref.edit.addEventListener('keyup', this._checkKey);
	  },
	  _endEdit: function _endEdit() {
	    var r = this.refs;
	    var e = r.edit;
	    var nv = e.value;
	
	    r.li.classList.toggle('editing', false);
	    e.parentElement.removeChild(e);
	    r.edit = null;
	
	    if (this.model.label !== nv) {
	      this.model.label = nv;
	      r.label.textContent = nv;
	      this.trigger('updated', this);
	    }
	  },
	  _checkKey: function _checkKey(e) {
	    var r = this.refs;
	    if (e.which === ENTER_KEY) {
	      r.edit.blur();
	    } else if (e.which === ESCAPE_KEY) {
	      r.edit.value = r.label.textContent;
	      r.edit.blur();
	    }
	  }
	});

/***/ },
/* 5 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';
	
	Object.defineProperty(exports, "__esModule", {
	  value: true
	});
	
	var _redom = __webpack_require__(2);
	
	var _redom2 = _interopRequireDefault(_redom);
	
	function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
	
	exports.default = (0, _redom2.default)({
	  create: function create() {},
	  view: function view() {
	    return this._h('footer', { class: "footer" }, [this._h('span', { class: "todo-count" }, [this._h('strong', { ref: "cnt" }, ["0"]), " items left"]), this._h('ul', { class: "filters" }, [this._h('li', null, [this._h('a', { href: "#/", ref: "all", class: "selected" }, ["All"])]), this._h('li', null, [this._h('a', { href: "#/active", ref: "active" }, ["Active"])]), this._h('li', null, [this._h('a', { href: "#/completed", ref: "completed" }, ["Completed"])])]), this._h('button', { class: "clear-completed", ref: "clear" }, ["Clear completed"])]);
	  },
	  render: function render(container) {
	    var _view = this.view();
	
	    var node = _view.node;
	    var r = _view.r;
	
	    this.refs = r;
	    r.clear.addEventListener('click', this._onClear);
	    container.appendChild(node);
	    return this;
	  },
	  setCounter: function setCounter(value) {
	    this.refs.cnt.textContent = value;
	  },
	  setActiveRoute: function setActiveRoute(id) {
	    var r = this.refs;
	    r.all.classList.toggle('selected', id === 'all');
	    r.active.classList.toggle('selected', id === 'active');
	    r.completed.classList.toggle('selected', id === 'completed');
	  }
	}, {
	  // Events
	
	  _onClear: function _onClear() {
	    this.trigger('clear-completed');
	  }
	});

/***/ },
/* 6 */
/***/ function(module, exports, __webpack_require__) {

	// style-loader: Adds some css to the DOM by adding a <style> tag
	
	// load the styles
	var content = __webpack_require__(7);
	if(typeof content === 'string') content = [[module.id, content, '']];
	// add the styles to the DOM
	var update = __webpack_require__(8)(content, {});
	if(content.locals) module.exports = content.locals;
	// Hot Module Replacement
	if(false) {
		// When the styles change, update the <style> tags
		if(!content.locals) {
			module.hot.accept("!!./../raw-loader/index.js!./index.css", function() {
				var newContent = require("!!./../raw-loader/index.js!./index.css");
				if(typeof newContent === 'string') newContent = [[module.id, newContent, '']];
				update(newContent);
			});
		}
		// When the module is disposed, remove the <style> tags
		module.hot.dispose(function() { update(); });
	}

/***/ },
/* 7 */
/***/ function(module, exports) {

	module.exports = "html,\nbody {\n\tmargin: 0;\n\tpadding: 0;\n}\n\nbutton {\n\tmargin: 0;\n\tpadding: 0;\n\tborder: 0;\n\tbackground: none;\n\tfont-size: 100%;\n\tvertical-align: baseline;\n\tfont-family: inherit;\n\tfont-weight: inherit;\n\tcolor: inherit;\n\t-webkit-appearance: none;\n\tappearance: none;\n\t-webkit-font-smoothing: antialiased;\n\t-moz-osx-font-smoothing: grayscale;\n}\n\nbody {\n\tfont: 14px 'Helvetica Neue', Helvetica, Arial, sans-serif;\n\tline-height: 1.4em;\n\tbackground: #f5f5f5;\n\tcolor: #4d4d4d;\n\tmin-width: 230px;\n\tmax-width: 550px;\n\tmargin: 0 auto;\n\t-webkit-font-smoothing: antialiased;\n\t-moz-osx-font-smoothing: grayscale;\n\tfont-weight: 300;\n}\n\nbutton,\ninput[type=\"checkbox\"] {\n\toutline: none;\n}\n\n.hidden {\n\tdisplay: none;\n}\n\n.todoapp {\n\tbackground: #fff;\n\tmargin: 130px 0 40px 0;\n\tposition: relative;\n\tbox-shadow: 0 2px 4px 0 rgba(0, 0, 0, 0.2),\n\t            0 25px 50px 0 rgba(0, 0, 0, 0.1);\n}\n\n.todoapp input::-webkit-input-placeholder {\n\tfont-style: italic;\n\tfont-weight: 300;\n\tcolor: #e6e6e6;\n}\n\n.todoapp input::-moz-placeholder {\n\tfont-style: italic;\n\tfont-weight: 300;\n\tcolor: #e6e6e6;\n}\n\n.todoapp input::input-placeholder {\n\tfont-style: italic;\n\tfont-weight: 300;\n\tcolor: #e6e6e6;\n}\n\n.todoapp h1 {\n\tposition: absolute;\n\ttop: -155px;\n\twidth: 100%;\n\tfont-size: 100px;\n\tfont-weight: 100;\n\ttext-align: center;\n\tcolor: rgba(175, 47, 47, 0.15);\n\t-webkit-text-rendering: optimizeLegibility;\n\t-moz-text-rendering: optimizeLegibility;\n\ttext-rendering: optimizeLegibility;\n}\n\n.new-todo,\n.edit {\n\tposition: relative;\n\tmargin: 0;\n\twidth: 100%;\n\tfont-size: 24px;\n\tfont-family: inherit;\n\tfont-weight: inherit;\n\tline-height: 1.4em;\n\tborder: 0;\n\toutline: none;\n\tcolor: inherit;\n\tpadding: 6px;\n\tborder: 1px solid #999;\n\tbox-shadow: inset 0 -1px 5px 0 rgba(0, 0, 0, 0.2);\n\tbox-sizing: border-box;\n\t-webkit-font-smoothing: antialiased;\n\t-moz-osx-font-smoothing: grayscale;\n}\n\n.new-todo {\n\tpadding: 16px 16px 16px 60px;\n\tborder: none;\n\tbackground: rgba(0, 0, 0, 0.003);\n\tbox-shadow: inset 0 -2px 1px rgba(0,0,0,0.03);\n}\n\n.main {\n\tposition: relative;\n\tz-index: 2;\n\tborder-top: 1px solid #e6e6e6;\n}\n\nlabel[for='toggle-all'] {\n\tdisplay: none;\n}\n\n.toggle-all {\n\tposition: absolute;\n\ttop: -55px;\n\tleft: -12px;\n\twidth: 60px;\n\theight: 34px;\n\ttext-align: center;\n\tborder: none; /* Mobile Safari */\n}\n\n.toggle-all:before {\n\tcontent: '❯';\n\tfont-size: 22px;\n\tcolor: #e6e6e6;\n\tpadding: 10px 27px 10px 27px;\n}\n\n.toggle-all:checked:before {\n\tcolor: #737373;\n}\n\n.todo-list {\n\tmargin: 0;\n\tpadding: 0;\n\tlist-style: none;\n}\n\n.todo-list li {\n\tposition: relative;\n\tfont-size: 24px;\n\tborder-bottom: 1px solid #ededed;\n}\n\n.todo-list li:last-child {\n\tborder-bottom: none;\n}\n\n.todo-list li.editing {\n\tborder-bottom: none;\n\tpadding: 0;\n}\n\n.todo-list li.editing .edit {\n\tdisplay: block;\n\twidth: 506px;\n\tpadding: 13px 17px 12px 17px;\n\tmargin: 0 0 0 43px;\n}\n\n.todo-list li.editing .view {\n\tdisplay: none;\n}\n\n.todo-list li .toggle {\n\ttext-align: center;\n\twidth: 40px;\n\t/* auto, since non-WebKit browsers doesn't support input styling */\n\theight: auto;\n\tposition: absolute;\n\ttop: 0;\n\tbottom: 0;\n\tmargin: auto 0;\n\tborder: none; /* Mobile Safari */\n\t-webkit-appearance: none;\n\tappearance: none;\n}\n\n.todo-list li .toggle:after {\n\tcontent: url('data:image/svg+xml;utf8,<svg xmlns=\"http://www.w3.org/2000/svg\" width=\"40\" height=\"40\" viewBox=\"-10 -18 100 135\"><circle cx=\"50\" cy=\"50\" r=\"50\" fill=\"none\" stroke=\"#ededed\" stroke-width=\"3\"/></svg>');\n}\n\n.todo-list li .toggle:checked:after {\n\tcontent: url('data:image/svg+xml;utf8,<svg xmlns=\"http://www.w3.org/2000/svg\" width=\"40\" height=\"40\" viewBox=\"-10 -18 100 135\"><circle cx=\"50\" cy=\"50\" r=\"50\" fill=\"none\" stroke=\"#bddad5\" stroke-width=\"3\"/><path fill=\"#5dc2af\" d=\"M72 25L42 71 27 56l-4 4 20 20 34-52z\"/></svg>');\n}\n\n.todo-list li label {\n\twhite-space: pre-line;\n\tword-break: break-all;\n\tpadding: 15px 60px 15px 15px;\n\tmargin-left: 45px;\n\tdisplay: block;\n\tline-height: 1.2;\n\ttransition: color 0.4s;\n}\n\n.todo-list li.completed label {\n\tcolor: #d9d9d9;\n\ttext-decoration: line-through;\n}\n\n.todo-list li .destroy {\n\tdisplay: none;\n\tposition: absolute;\n\ttop: 0;\n\tright: 10px;\n\tbottom: 0;\n\twidth: 40px;\n\theight: 40px;\n\tmargin: auto 0;\n\tfont-size: 30px;\n\tcolor: #cc9a9a;\n\tmargin-bottom: 11px;\n\ttransition: color 0.2s ease-out;\n}\n\n.todo-list li .destroy:hover {\n\tcolor: #af5b5e;\n}\n\n.todo-list li .destroy:after {\n\tcontent: '×';\n}\n\n.todo-list li:hover .destroy {\n\tdisplay: block;\n}\n\n.todo-list li .edit {\n\tdisplay: none;\n}\n\n.todo-list li.editing:last-child {\n\tmargin-bottom: -1px;\n}\n\n.footer {\n\tcolor: #777;\n\tpadding: 10px 15px;\n\theight: 20px;\n\ttext-align: center;\n\tborder-top: 1px solid #e6e6e6;\n}\n\n.footer:before {\n\tcontent: '';\n\tposition: absolute;\n\tright: 0;\n\tbottom: 0;\n\tleft: 0;\n\theight: 50px;\n\toverflow: hidden;\n\tbox-shadow: 0 1px 1px rgba(0, 0, 0, 0.2),\n\t            0 8px 0 -3px #f6f6f6,\n\t            0 9px 1px -3px rgba(0, 0, 0, 0.2),\n\t            0 16px 0 -6px #f6f6f6,\n\t            0 17px 2px -6px rgba(0, 0, 0, 0.2);\n}\n\n.todo-count {\n\tfloat: left;\n\ttext-align: left;\n}\n\n.todo-count strong {\n\tfont-weight: 300;\n}\n\n.filters {\n\tmargin: 0;\n\tpadding: 0;\n\tlist-style: none;\n\tposition: absolute;\n\tright: 0;\n\tleft: 0;\n}\n\n.filters li {\n\tdisplay: inline;\n}\n\n.filters li a {\n\tcolor: inherit;\n\tmargin: 3px;\n\tpadding: 3px 7px;\n\ttext-decoration: none;\n\tborder: 1px solid transparent;\n\tborder-radius: 3px;\n}\n\n.filters li a.selected,\n.filters li a:hover {\n\tborder-color: rgba(175, 47, 47, 0.1);\n}\n\n.filters li a.selected {\n\tborder-color: rgba(175, 47, 47, 0.2);\n}\n\n.clear-completed,\nhtml .clear-completed:active {\n\tfloat: right;\n\tposition: relative;\n\tline-height: 20px;\n\ttext-decoration: none;\n\tcursor: pointer;\n}\n\n.clear-completed:hover {\n\ttext-decoration: underline;\n}\n\n.info {\n\tmargin: 65px auto 0;\n\tcolor: #bfbfbf;\n\tfont-size: 10px;\n\ttext-shadow: 0 1px 0 rgba(255, 255, 255, 0.5);\n\ttext-align: center;\n}\n\n.info p {\n\tline-height: 1;\n}\n\n.info a {\n\tcolor: inherit;\n\ttext-decoration: none;\n\tfont-weight: 400;\n}\n\n.info a:hover {\n\ttext-decoration: underline;\n}\n\n/*\n\tHack to remove background from Mobile Safari.\n\tCan't use it globally since it destroys checkboxes in Firefox\n*/\n@media screen and (-webkit-min-device-pixel-ratio:0) {\n\t.toggle-all,\n\t.todo-list li .toggle {\n\t\tbackground: none;\n\t}\n\n\t.todo-list li .toggle {\n\t\theight: 40px;\n\t}\n\n\t.toggle-all {\n\t\t-webkit-transform: rotate(90deg);\n\t\ttransform: rotate(90deg);\n\t\t-webkit-appearance: none;\n\t\tappearance: none;\n\t}\n}\n\n@media (max-width: 430px) {\n\t.footer {\n\t\theight: 50px;\n\t}\n\n\t.filters {\n\t\tbottom: 10px;\n\t}\n}\n"

/***/ },
/* 8 */
/***/ function(module, exports, __webpack_require__) {

	/*
		MIT License http://www.opensource.org/licenses/mit-license.php
		Author Tobias Koppers @sokra
	*/
	var stylesInDom = {},
		memoize = function(fn) {
			var memo;
			return function () {
				if (typeof memo === "undefined") memo = fn.apply(this, arguments);
				return memo;
			};
		},
		isOldIE = memoize(function() {
			return /msie [6-9]\b/.test(window.navigator.userAgent.toLowerCase());
		}),
		getHeadElement = memoize(function () {
			return document.head || document.getElementsByTagName("head")[0];
		}),
		singletonElement = null,
		singletonCounter = 0,
		styleElementsInsertedAtTop = [];
	
	module.exports = function(list, options) {
		if(false) {
			if(typeof document !== "object") throw new Error("The style-loader cannot be used in a non-browser environment");
		}
	
		options = options || {};
		// Force single-tag solution on IE6-9, which has a hard limit on the # of <style>
		// tags it will allow on a page
		if (typeof options.singleton === "undefined") options.singleton = isOldIE();
	
		// By default, add <style> tags to the bottom of <head>.
		if (typeof options.insertAt === "undefined") options.insertAt = "bottom";
	
		var styles = listToStyles(list);
		addStylesToDom(styles, options);
	
		return function update(newList) {
			var mayRemove = [];
			for(var i = 0; i < styles.length; i++) {
				var item = styles[i];
				var domStyle = stylesInDom[item.id];
				domStyle.refs--;
				mayRemove.push(domStyle);
			}
			if(newList) {
				var newStyles = listToStyles(newList);
				addStylesToDom(newStyles, options);
			}
			for(var i = 0; i < mayRemove.length; i++) {
				var domStyle = mayRemove[i];
				if(domStyle.refs === 0) {
					for(var j = 0; j < domStyle.parts.length; j++)
						domStyle.parts[j]();
					delete stylesInDom[domStyle.id];
				}
			}
		};
	}
	
	function addStylesToDom(styles, options) {
		for(var i = 0; i < styles.length; i++) {
			var item = styles[i];
			var domStyle = stylesInDom[item.id];
			if(domStyle) {
				domStyle.refs++;
				for(var j = 0; j < domStyle.parts.length; j++) {
					domStyle.parts[j](item.parts[j]);
				}
				for(; j < item.parts.length; j++) {
					domStyle.parts.push(addStyle(item.parts[j], options));
				}
			} else {
				var parts = [];
				for(var j = 0; j < item.parts.length; j++) {
					parts.push(addStyle(item.parts[j], options));
				}
				stylesInDom[item.id] = {id: item.id, refs: 1, parts: parts};
			}
		}
	}
	
	function listToStyles(list) {
		var styles = [];
		var newStyles = {};
		for(var i = 0; i < list.length; i++) {
			var item = list[i];
			var id = item[0];
			var css = item[1];
			var media = item[2];
			var sourceMap = item[3];
			var part = {css: css, media: media, sourceMap: sourceMap};
			if(!newStyles[id])
				styles.push(newStyles[id] = {id: id, parts: [part]});
			else
				newStyles[id].parts.push(part);
		}
		return styles;
	}
	
	function insertStyleElement(options, styleElement) {
		var head = getHeadElement();
		var lastStyleElementInsertedAtTop = styleElementsInsertedAtTop[styleElementsInsertedAtTop.length - 1];
		if (options.insertAt === "top") {
			if(!lastStyleElementInsertedAtTop) {
				head.insertBefore(styleElement, head.firstChild);
			} else if(lastStyleElementInsertedAtTop.nextSibling) {
				head.insertBefore(styleElement, lastStyleElementInsertedAtTop.nextSibling);
			} else {
				head.appendChild(styleElement);
			}
			styleElementsInsertedAtTop.push(styleElement);
		} else if (options.insertAt === "bottom") {
			head.appendChild(styleElement);
		} else {
			throw new Error("Invalid value for parameter 'insertAt'. Must be 'top' or 'bottom'.");
		}
	}
	
	function removeStyleElement(styleElement) {
		styleElement.parentNode.removeChild(styleElement);
		var idx = styleElementsInsertedAtTop.indexOf(styleElement);
		if(idx >= 0) {
			styleElementsInsertedAtTop.splice(idx, 1);
		}
	}
	
	function createStyleElement(options) {
		var styleElement = document.createElement("style");
		styleElement.type = "text/css";
		insertStyleElement(options, styleElement);
		return styleElement;
	}
	
	function createLinkElement(options) {
		var linkElement = document.createElement("link");
		linkElement.rel = "stylesheet";
		insertStyleElement(options, linkElement);
		return linkElement;
	}
	
	function addStyle(obj, options) {
		var styleElement, update, remove;
	
		if (options.singleton) {
			var styleIndex = singletonCounter++;
			styleElement = singletonElement || (singletonElement = createStyleElement(options));
			update = applyToSingletonTag.bind(null, styleElement, styleIndex, false);
			remove = applyToSingletonTag.bind(null, styleElement, styleIndex, true);
		} else if(obj.sourceMap &&
			typeof URL === "function" &&
			typeof URL.createObjectURL === "function" &&
			typeof URL.revokeObjectURL === "function" &&
			typeof Blob === "function" &&
			typeof btoa === "function") {
			styleElement = createLinkElement(options);
			update = updateLink.bind(null, styleElement);
			remove = function() {
				removeStyleElement(styleElement);
				if(styleElement.href)
					URL.revokeObjectURL(styleElement.href);
			};
		} else {
			styleElement = createStyleElement(options);
			update = applyToTag.bind(null, styleElement);
			remove = function() {
				removeStyleElement(styleElement);
			};
		}
	
		update(obj);
	
		return function updateStyle(newObj) {
			if(newObj) {
				if(newObj.css === obj.css && newObj.media === obj.media && newObj.sourceMap === obj.sourceMap)
					return;
				update(obj = newObj);
			} else {
				remove();
			}
		};
	}
	
	var replaceText = (function () {
		var textStore = [];
	
		return function (index, replacement) {
			textStore[index] = replacement;
			return textStore.filter(Boolean).join('\n');
		};
	})();
	
	function applyToSingletonTag(styleElement, index, remove, obj) {
		var css = remove ? "" : obj.css;
	
		if (styleElement.styleSheet) {
			styleElement.styleSheet.cssText = replaceText(index, css);
		} else {
			var cssNode = document.createTextNode(css);
			var childNodes = styleElement.childNodes;
			if (childNodes[index]) styleElement.removeChild(childNodes[index]);
			if (childNodes.length) {
				styleElement.insertBefore(cssNode, childNodes[index]);
			} else {
				styleElement.appendChild(cssNode);
			}
		}
	}
	
	function applyToTag(styleElement, obj) {
		var css = obj.css;
		var media = obj.media;
		var sourceMap = obj.sourceMap;
	
		if(media) {
			styleElement.setAttribute("media", media)
		}
	
		if(styleElement.styleSheet) {
			styleElement.styleSheet.cssText = css;
		} else {
			while(styleElement.firstChild) {
				styleElement.removeChild(styleElement.firstChild);
			}
			styleElement.appendChild(document.createTextNode(css));
		}
	}
	
	function updateLink(linkElement, obj) {
		var css = obj.css;
		var media = obj.media;
		var sourceMap = obj.sourceMap;
	
		if(sourceMap) {
			// http://stackoverflow.com/a/26603875
			css += "\n/*# sourceMappingURL=data:application/json;base64," + btoa(unescape(encodeURIComponent(JSON.stringify(sourceMap)))) + " */";
		}
	
		var blob = new Blob([css], { type: "text/css" });
	
		var oldSrc = linkElement.href;
	
		linkElement.href = URL.createObjectURL(blob);
	
		if(oldSrc)
			URL.revokeObjectURL(oldSrc);
	}


/***/ }
/******/ ]);
//# sourceMappingURL=main.bundle.js.map